XAMPP Package Error

Problems with the Linux version of XAMPP, questions, comments, and anything related.

XAMPP Package Error

Postby jtanna » 23. August 2015 16:44

I downloaded the latest version of XAMPP and have verified the MD5 Sum. I am still getting errors when installing it:

Code: Select all
tanna@jtanna-OptiPlex-760:~$ cd ~/Downloads
jtanna@jtanna-OptiPlex-760:~/Downloads$ md5sum xampp-linux-x64-5.6.11-1-installer.run
80d87e654294c8a11e946c7f061e57dc  xampp-linux-x64-5.6.11-1-installer.run
jtanna@jtanna-OptiPlex-760:~/Downloads$ sudo ./xampp-linux-x64-5.6.11-1-installer.run
[sudo] password for jtanna:
./xampp-linux-x64-5.6.11-1-installer.run: 1: ./xampp-linux-x64-5.6.11-1-installer.run: Syntax error: Unterminated quoted string
jtanna@jtanna-OptiPlex-760:~/Downloads$


I have 64 bit OS running on Dell Optiplex with Windows7 64 bit in dual boot mode.



the error is " Unterminated quoted string" as you can see from the above transcript.

I have written to Beltran and I also posted this question on Ubuntu Newsgroup <news://alt.os.linux.ubuntu>. The newsgroup people told me that the package is faulty (they tried to install it on their machine as well) while Beltran told me to post the question here.

It looks like the download version needs to be repackaged so that it run without errors.

Can somebody tell me how can I pass this message to the developers?

Thank you.
jtanna
 
Posts: 3
Joined: 23. August 2015 16:33
Operating System: Linux Ubuntu 14.04 LTS

Re: XAMPP Package Error

Postby jtanna » 23. August 2015 16:54

One of the senior Linux Expert has posted this message on the newsgroup:

Sounds like the developer left a quote off one of the lines of code in
the installer script. You may be able to find it yourself. I hacked
together a down a dirty script that looks for odd numbers of quotes in a
single line of code and if it finds ones, it reports the line number and
the shows you the code.

So you'd run this script and use the script you want to check as the
argument. Example:

$ codetester.sh {scriptfile.sh}

If you get nothing back, it found no odd numbers of quotes. If you get
something back, it will be lines with odd numbers of quotes, which could
mean the dev opened a quote and forgot to close it. Maybe. You don't
always need to open and close on the same line, which is why this script
will report the line number and present you with the code so you can
inspect it.

Good luck!

script code follows:

#!/bin/bash

#########################################################
#
# script: codetester.sh
# date: 2015-08-22 10:53:00PM PST
# version: .01
# purpose: find odd numbers of quote symbols
# : and report the line of code
#
# written by: Marek Novotny
#
#########################################################

filename="$1"

sendErr()
{
echo "$2" && exit $1
}

let lineNumber=0

processFile()
{
while IFS= read -r line
do
((lineNumber++))
x=$(echo "$line" | tr -d -c '"\n' | awk '{print length;}')
if ((x % 2 != 0)) ; then
echo line ${lineNumber}\; $line
fi
done < "$filename"
}

if (($# != 1)) ; then
sendErr 1 "You need exactly one argument..."
fi

if [ ! -f "$filename" ] ; then
sendErr 1 "You must enter a file name as your argument..."
else
processFile
fi

## end script ##

jtanna
 
Posts: 3
Joined: 23. August 2015 16:33
Operating System: Linux Ubuntu 14.04 LTS

Re: XAMPP Package Error

Postby Nobbie » 23. August 2015 17:04

I just downloaded that file and it runs without error on my 64bit Linux Mint.

Usually this error occurs, when you try to run the 64bit installer on a 32bit Linux. Are you sure, you are running a 64bit Linux?
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Re: XAMPP Package Error

Postby danielo » 23. August 2015 17:09

Nobbie wrote:I just downloaded that file and it runs without error on my 64bit Linux Mint.

Usually this error occurs, when you try to run the 64bit installer on a 32bit Linux. Are you sure, you are running a 64bit Linux?


Noobie is correct. What does typing in the command line

uname -a

return ?
danielo
 
Posts: 5
Joined: 24. October 2011 09:45
Operating System: Linux

Re: XAMPP Package Error

Postby jtanna » 23. August 2015 17:23

I am getting this:

jtanna@jtanna-OptiPlex-760:~$ uname -a
Linux jtanna-OptiPlex-760 3.19.0-26-generic #28~14.04.1-Ubuntu SMP Wed Aug 12 14:12:35 UTC 2015 i686 i686 i686 GNU/Linux
jtanna@jtanna-OptiPlex-760:~$ ^C
jtanna@jtanna-OptiPlex-760:~$
jtanna
 
Posts: 3
Joined: 23. August 2015 16:33
Operating System: Linux Ubuntu 14.04 LTS

Re: XAMPP Package Error

Postby Nobbie » 23. August 2015 20:50

jtanna wrote:Linux jtanna-OptiPlex-760 3.19.0-26-generic #28~14.04.1-Ubuntu SMP Wed Aug 12 14:12:35 UTC 2015 i686 i686 i686 GNU/Linux


Exactly what i thought - you are running 32bit version. Download the corresponding 32bit Xampp Version instead of 64bit Version. A 64bit version would show "x64" somewhere in your uname command output.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests